const express = require("express");
// const cors = require('cors');
const app = express();

const movies = [
  {
    id: 1,
    characters: [
      "https://ajax.test-danit.com/api/swapi/people/1",
      "https://ajax.test-danit.com/api/swapi/people/2",
      "https://ajax.test-danit.com/api/swapi/people/3",
      "https://ajax.test-danit.com/api/swapi/people/4",
      "https://ajax.test-danit.com/api/swapi/people/5",
      "https://ajax.test-danit.com/api/swapi/people/6",
      "https://ajax.test-danit.com/api/swapi/people/7",
      "https://ajax.test-danit.com/api/swapi/people/8",
      "https://ajax.test-danit.com/api/swapi/people/9",
      "https://ajax.test-danit.com/api/swapi/people/10",
      "https://ajax.test-danit.com/api/swapi/people/12",
      "https://ajax.test-danit.com/api/swapi/people/13",
      "https://ajax.test-danit.com/api/swapi/people/14",
      "https://ajax.test-danit.com/api/swapi/people/15",
      "https://ajax.test-danit.com/api/swapi/people/16",
      "https://ajax.test-danit.com/api/swapi/people/18",
      "https://ajax.test-danit.com/api/swapi/people/19",
      "https://ajax.test-danit.com/api/swapi/people/81",
    ],
    director: "George Lucas",
    episodeId: 4,
    openingCrawl:
      "It is a period of civil war. Rebel spaceships, striking from a hidden base, have won their first victory against the evil Galactic Empire.\r\nDuring the battle, Rebel spies managed to steal secret plans to the Empire`s ultimate weapon, the DEATH STAR, an armored space station with enough power to destroy an entire planet.\r\nPursued by the Empire`s sinister agents, Princess Leia races home aboard her starship, custodian of the stolen plans that can save her people and restore freedom to the galaxy...",
    planets: [
      "https://ajax.test-danit.com/api/swapi/planets/1",
      "https://ajax.test-danit.com/api/swapi/planets/2",
      "https://ajax.test-danit.com/api/swapi/planets/3",
    ],
    producer: "Gary Kurtz, Rick McCallum",
    releaseDate: "1977-05-25",
    species: [
      "https://ajax.test-danit.com/api/swapi/species/1",
      "https://ajax.test-danit.com/api/swapi/species/2",
      "https://ajax.test-danit.com/api/swapi/species/3",
      "https://ajax.test-danit.com/api/swapi/species/4",
      "https://ajax.test-danit.com/api/swapi/species/5",
    ],
    starships: [
      "https://ajax.test-danit.com/api/swapi/starships/2",
      "https://ajax.test-danit.com/api/swapi/starships/3",
      "https://ajax.test-danit.com/api/swapi/starships/5",
      "https://ajax.test-danit.com/api/swapi/starships/9",
      "https://ajax.test-danit.com/api/swapi/starships/10",
      "https://ajax.test-danit.com/api/swapi/starships/11",
      "https://ajax.test-danit.com/api/swapi/starships/12",
      "https://ajax.test-danit.com/api/swapi/starships/13",
    ],
    name: "A New Hope",
    url: "https://ajax.test-danit.com/api/swapi/films/1",
    vehicles: [
      "https://ajax.test-danit.com/api/swapi/vehicles/4",
      "https://ajax.test-danit.com/api/swapi/vehicles/6",
      "https://ajax.test-danit.com/api/swapi/vehicles/7",
      "https://ajax.test-danit.com/api/swapi/vehicles/8",
    ],
  },
  {
    id: 2,
    characters: [
      "https://ajax.test-danit.com/api/swapi/people/1",
      "https://ajax.test-danit.com/api/swapi/people/2",
      "https://ajax.test-danit.com/api/swapi/people/3",
      "https://ajax.test-danit.com/api/swapi/people/4",
      "https://ajax.test-danit.com/api/swapi/people/5",
      "https://ajax.test-danit.com/api/swapi/people/10",
      "https://ajax.test-danit.com/api/swapi/people/13",
      "https://ajax.test-danit.com/api/swapi/people/14",
      "https://ajax.test-danit.com/api/swapi/people/18",
      "https://ajax.test-danit.com/api/swapi/people/20",
      "https://ajax.test-danit.com/api/swapi/people/21",
      "https://ajax.test-danit.com/api/swapi/people/22",
      "https://ajax.test-danit.com/api/swapi/people/23",
      "https://ajax.test-danit.com/api/swapi/people/24",
      "https://ajax.test-danit.com/api/swapi/people/25",
      "https://ajax.test-danit.com/api/swapi/people/26",
    ],
    director: "Irvin Kershner",
    episodeId: 5,
    openingCrawl:
      "It is a dark time for the Rebellion. Although the Death Star has been destroyed, Imperial troops have driven the Rebel forces from their hidden base and pursued them across the galaxy.\r\nEvading the dreaded Imperial Starfleet, a group of freedom fighters led by Luke Skywalker has established a new secret base on the remote ice world of Hoth.\r\nThe evil lord Darth Vader, obsessed with finding young Skywalker, has dispatched thousands of remote probes into the far reaches of space...",
    planets: [
      "https://ajax.test-danit.com/api/swapi/planets/4",
      "https://ajax.test-danit.com/api/swapi/planets/5",
      "https://ajax.test-danit.com/api/swapi/planets/6",
      "https://ajax.test-danit.com/api/swapi/planets/27",
    ],
    producer: "Gary Kurtz, Rick McCallum",
    releaseDate: "1980-05-17",
    species: [
      "https://ajax.test-danit.com/api/swapi/species/1",
      "https://ajax.test-danit.com/api/swapi/species/2",
      "https://ajax.test-danit.com/api/swapi/species/3",
      "https://ajax.test-danit.com/api/swapi/species/6",
      "https://ajax.test-danit.com/api/swapi/species/7",
    ],
    starships: [
      "https://ajax.test-danit.com/api/swapi/starships/3",
      "https://ajax.test-danit.com/api/swapi/starships/10",
      "https://ajax.test-danit.com/api/swapi/starships/11",
      "https://ajax.test-danit.com/api/swapi/starships/12",
      "https://ajax.test-danit.com/api/swapi/starships/15",
      "https://ajax.test-danit.com/api/swapi/starships/17",
      "https://ajax.test-danit.com/api/swapi/starships/21",
      "https://ajax.test-danit.com/api/swapi/starships/22",
      "https://ajax.test-danit.com/api/swapi/starships/23",
    ],
    name: "The Empire Strikes Back",
    url: "https://ajax.test-danit.com/api/swapi/films/2",
    vehicles: [
      "https://ajax.test-danit.com/api/swapi/vehicles/14",
      "https://ajax.test-danit.com/api/swapi/vehicles/16",
      "https://ajax.test-danit.com/api/swapi/vehicles/18",
      "https://ajax.test-danit.com/api/swapi/vehicles/19",
      "https://ajax.test-danit.com/api/swapi/vehicles/20",
    ],
  },
  {
    id: 3,
    characters: [
      "https://ajax.test-danit.com/api/swapi/people/1",
      "https://ajax.test-danit.com/api/swapi/people/2",
      "https://ajax.test-danit.com/api/swapi/people/3",
      "https://ajax.test-danit.com/api/swapi/people/4",
      "https://ajax.test-danit.com/api/swapi/people/5",
      "https://ajax.test-danit.com/api/swapi/people/10",
      "https://ajax.test-danit.com/api/swapi/people/13",
      "https://ajax.test-danit.com/api/swapi/people/14",
      "https://ajax.test-danit.com/api/swapi/people/16",
      "https://ajax.test-danit.com/api/swapi/people/18",
      "https://ajax.test-danit.com/api/swapi/people/20",
      "https://ajax.test-danit.com/api/swapi/people/21",
      "https://ajax.test-danit.com/api/swapi/people/22",
      "https://ajax.test-danit.com/api/swapi/people/25",
      "https://ajax.test-danit.com/api/swapi/people/27",
      "https://ajax.test-danit.com/api/swapi/people/28",
      "https://ajax.test-danit.com/api/swapi/people/29",
      "https://ajax.test-danit.com/api/swapi/people/30",
      "https://ajax.test-danit.com/api/swapi/people/31",
      "https://ajax.test-danit.com/api/swapi/people/45",
    ],
    director: "Richard Marquand",
    episodeId: 6,
    openingCrawl:
      "Luke Skywalker has returned to his home planet of Tatooine in an attempt to rescue his friend Han Solo from the clutches of the vile gangster Jabba the Hutt.\r\nLittle does Luke know that the GALACTIC EMPIRE has secretly begun construction on a new armored space station even more powerful than the first dreaded Death Star.\r\nWhen completed, this ultimate weapon will spell certain doom for the small band of rebels struggling to restore freedom to the galaxy...",
    planets: [
      "https://ajax.test-danit.com/api/swapi/planets/1",
      "https://ajax.test-danit.com/api/swapi/planets/5",
      "https://ajax.test-danit.com/api/swapi/planets/7",
      "https://ajax.test-danit.com/api/swapi/planets/8",
      "https://ajax.test-danit.com/api/swapi/planets/9",
    ],
    producer: "Howard G. Kazanjian, George Lucas, Rick McCallum",
    releaseDate: "1983-05-25",
    species: [
      "https://ajax.test-danit.com/api/swapi/species/1",
      "https://ajax.test-danit.com/api/swapi/species/2",
      "https://ajax.test-danit.com/api/swapi/species/3",
      "https://ajax.test-danit.com/api/swapi/species/5",
      "https://ajax.test-danit.com/api/swapi/species/6",
      "https://ajax.test-danit.com/api/swapi/species/8",
      "https://ajax.test-danit.com/api/swapi/species/9",
      "https://ajax.test-danit.com/api/swapi/species/10",
      "https://ajax.test-danit.com/api/swapi/species/15",
    ],
    starships: [
      "https://ajax.test-danit.com/api/swapi/starships/23",
      "https://ajax.test-danit.com/api/swapi/starships/2",
      "https://ajax.test-danit.com/api/swapi/starships/3",
      "https://ajax.test-danit.com/api/swapi/starships/10",
      "https://ajax.test-danit.com/api/swapi/starships/11",
      "https://ajax.test-danit.com/api/swapi/starships/12",
      "https://ajax.test-danit.com/api/swapi/starships/15",
      "https://ajax.test-danit.com/api/swapi/starships/17",
      "https://ajax.test-danit.com/api/swapi/starships/22",
      "https://ajax.test-danit.com/api/swapi/starships/23",
      "https://ajax.test-danit.com/api/swapi/starships/27",
      "https://ajax.test-danit.com/api/swapi/starships/28",
      "https://ajax.test-danit.com/api/swapi/starships/29",
    ],
    name: "Return of the Jedi",
    url: "https://ajax.test-danit.com/api/swapi/films/3",
    vehicles: [
      "https://ajax.test-danit.com/api/swapi/vehicles/8",
      "https://ajax.test-danit.com/api/swapi/vehicles/16",
      "https://ajax.test-danit.com/api/swapi/vehicles/18",
      "https://ajax.test-danit.com/api/swapi/vehicles/19",
      "https://ajax.test-danit.com/api/swapi/vehicles/24",
      "https://ajax.test-danit.com/api/swapi/vehicles/25",
      "https://ajax.test-danit.com/api/swapi/vehicles/26",
      "https://ajax.test-danit.com/api/swapi/vehicles/30",
    ],
  },
  {
    id: 4,
    characters: [
      "https://ajax.test-danit.com/api/swapi/people/2",
      "https://ajax.test-danit.com/api/swapi/people/3",
      "https://ajax.test-danit.com/api/swapi/people/10",
      "https://ajax.test-danit.com/api/swapi/people/11",
      "https://ajax.test-danit.com/api/swapi/people/16",
      "https://ajax.test-danit.com/api/swapi/people/20",
      "https://ajax.test-danit.com/api/swapi/people/21",
      "https://ajax.test-danit.com/api/swapi/people/32",
      "https://ajax.test-danit.com/api/swapi/people/33",
      "https://ajax.test-danit.com/api/swapi/people/34",
      "https://ajax.test-danit.com/api/swapi/people/35",
      "https://ajax.test-danit.com/api/swapi/people/36",
      "https://ajax.test-danit.com/api/swapi/people/37",
      "https://ajax.test-danit.com/api/swapi/people/38",
      "https://ajax.test-danit.com/api/swapi/people/39",
      "https://ajax.test-danit.com/api/swapi/people/40",
      "https://ajax.test-danit.com/api/swapi/people/41",
      "https://ajax.test-danit.com/api/swapi/people/42",
      "https://ajax.test-danit.com/api/swapi/people/43",
      "https://ajax.test-danit.com/api/swapi/people/44",
      "https://ajax.test-danit.com/api/swapi/people/46",
      "https://ajax.test-danit.com/api/swapi/people/47",
      "https://ajax.test-danit.com/api/swapi/people/48",
      "https://ajax.test-danit.com/api/swapi/people/49",
      "https://ajax.test-danit.com/api/swapi/people/50",
      "https://ajax.test-danit.com/api/swapi/people/51",
      "https://ajax.test-danit.com/api/swapi/people/52",
      "https://ajax.test-danit.com/api/swapi/people/53",
      "https://ajax.test-danit.com/api/swapi/people/54",
      "https://ajax.test-danit.com/api/swapi/people/55",
      "https://ajax.test-danit.com/api/swapi/people/56",
      "https://ajax.test-danit.com/api/swapi/people/57",
      "https://ajax.test-danit.com/api/swapi/people/58",
      "https://ajax.test-danit.com/api/swapi/people/59",
    ],
    director: "George Lucas",
    episodeId: 1,
    openingCrawl:
      "Turmoil has engulfed the Galactic Republic. The taxation of trade routes to outlying star systems is in dispute.\r\nHoping to resolve the matter with a blockade of deadly battleships, the greedy Trade Federation has stopped all shipping to the small planet of Naboo.\r\nWhile the Congress of the Republic endlessly debates this alarming chain of events, the Supreme Chancellor has secretly dispatched two Jedi Knights, the guardians of peace and justice in the galaxy, to settle the conflict...",
    planets: [
      "https://ajax.test-danit.com/api/swapi/planets/1",
      "https://ajax.test-danit.com/api/swapi/planets/8",
      "https://ajax.test-danit.com/api/swapi/planets/9",
    ],
    producer: "Rick McCallum",
    releaseDate: "1999-05-19",
    species: [
      "https://ajax.test-danit.com/api/swapi/species/1",
      "https://ajax.test-danit.com/api/swapi/species/2",
      "https://ajax.test-danit.com/api/swapi/species/6",
      "https://ajax.test-danit.com/api/swapi/species/11",
      "https://ajax.test-danit.com/api/swapi/species/12",
      "https://ajax.test-danit.com/api/swapi/species/13",
      "https://ajax.test-danit.com/api/swapi/species/14",
      "https://ajax.test-danit.com/api/swapi/species/15",
      "https://ajax.test-danit.com/api/swapi/species/16",
      "https://ajax.test-danit.com/api/swapi/species/17",
      "https://ajax.test-danit.com/api/swapi/species/18",
      "https://ajax.test-danit.com/api/swapi/species/19",
      "https://ajax.test-danit.com/api/swapi/species/20",
      "https://ajax.test-danit.com/api/swapi/species/21",
      "https://ajax.test-danit.com/api/swapi/species/22",
      "https://ajax.test-danit.com/api/swapi/species/23",
      "https://ajax.test-danit.com/api/swapi/species/24",
      "https://ajax.test-danit.com/api/swapi/species/25",
      "https://ajax.test-danit.com/api/swapi/species/26",
      "https://ajax.test-danit.com/api/swapi/species/27",
    ],
    starships: [
      "https://ajax.test-danit.com/api/swapi/starships/31",
      "https://ajax.test-danit.com/api/swapi/starships/32",
      "https://ajax.test-danit.com/api/swapi/starships/39",
      "https://ajax.test-danit.com/api/swapi/starships/40",
      "https://ajax.test-danit.com/api/swapi/starships/41",
    ],
    name: "The Phantom Menace",
    url: "https://ajax.test-danit.com/api/swapi/films/4",
    vehicles: [
      "https://ajax.test-danit.com/api/swapi/vehicles/33",
      "https://ajax.test-danit.com/api/swapi/vehicles/34",
      "https://ajax.test-danit.com/api/swapi/vehicles/35",
      "https://ajax.test-danit.com/api/swapi/vehicles/36",
      "https://ajax.test-danit.com/api/swapi/vehicles/37",
      "https://ajax.test-danit.com/api/swapi/vehicles/38",
      "https://ajax.test-danit.com/api/swapi/vehicles/42",
    ],
  },
  {
    id: 5,
    characters: [
      "https://ajax.test-danit.com/api/swapi/people/2",
      "https://ajax.test-danit.com/api/swapi/people/3",
      "https://ajax.test-danit.com/api/swapi/people/6",
      "https://ajax.test-danit.com/api/swapi/people/7",
      "https://ajax.test-danit.com/api/swapi/people/10",
      "https://ajax.test-danit.com/api/swapi/people/11",
      "https://ajax.test-danit.com/api/swapi/people/20",
      "https://ajax.test-danit.com/api/swapi/people/21",
      "https://ajax.test-danit.com/api/swapi/people/22",
      "https://ajax.test-danit.com/api/swapi/people/33",
      "https://ajax.test-danit.com/api/swapi/people/35",
      "https://ajax.test-danit.com/api/swapi/people/36",
      "https://ajax.test-danit.com/api/swapi/people/40",
      "https://ajax.test-danit.com/api/swapi/people/43",
      "https://ajax.test-danit.com/api/swapi/people/46",
      "https://ajax.test-danit.com/api/swapi/people/51",
      "https://ajax.test-danit.com/api/swapi/people/52",
      "https://ajax.test-danit.com/api/swapi/people/53",
      "https://ajax.test-danit.com/api/swapi/people/58",
      "https://ajax.test-danit.com/api/swapi/people/59",
      "https://ajax.test-danit.com/api/swapi/people/60",
      "https://ajax.test-danit.com/api/swapi/people/61",
      "https://ajax.test-danit.com/api/swapi/people/62",
      "https://ajax.test-danit.com/api/swapi/people/63",
      "https://ajax.test-danit.com/api/swapi/people/64",
      "https://ajax.test-danit.com/api/swapi/people/65",
      "https://ajax.test-danit.com/api/swapi/people/66",
      "https://ajax.test-danit.com/api/swapi/people/67",
      "https://ajax.test-danit.com/api/swapi/people/68",
      "https://ajax.test-danit.com/api/swapi/people/69",
      "https://ajax.test-danit.com/api/swapi/people/70",
      "https://ajax.test-danit.com/api/swapi/people/71",
      "https://ajax.test-danit.com/api/swapi/people/72",
      "https://ajax.test-danit.com/api/swapi/people/73",
      "https://ajax.test-danit.com/api/swapi/people/74",
      "https://ajax.test-danit.com/api/swapi/people/75",
      "https://ajax.test-danit.com/api/swapi/people/76",
      "https://ajax.test-danit.com/api/swapi/people/77",
      "https://ajax.test-danit.com/api/swapi/people/78",
      "https://ajax.test-danit.com/api/swapi/people/82",
    ],
    director: "George Lucas",
    episodeId: 2,
    openingCrawl:
      "There is unrest in the Galactic Senate. Several thousand solar systems have declared their intentions to leave the Republic.\r\nThis separatist movement, under the leadership of the mysterious Count Dooku, has made it difficult for the limited number of Jedi Knights to maintain peace and order in the galaxy.\r\nSenator Amidala, the former Queen of Naboo, is returning to the Galactic Senate to vote on the critical issue of creating an ARMY OF THE REPUBLIC to assist the overwhelmed Jedi...",
    planets: [
      "https://ajax.test-danit.com/api/swapi/planets/1",
      "https://ajax.test-danit.com/api/swapi/planets/8",
      "https://ajax.test-danit.com/api/swapi/planets/9",
      "https://ajax.test-danit.com/api/swapi/planets/10",
      "https://ajax.test-danit.com/api/swapi/planets/11",
    ],
    producer: "Rick McCallum",
    releaseDate: "2002-05-16",
    species: [
      "https://ajax.test-danit.com/api/swapi/species/1",
      "https://ajax.test-danit.com/api/swapi/species/2",
      "https://ajax.test-danit.com/api/swapi/species/6",
      "https://ajax.test-danit.com/api/swapi/species/12",
      "https://ajax.test-danit.com/api/swapi/species/13",
      "https://ajax.test-danit.com/api/swapi/species/15",
      "https://ajax.test-danit.com/api/swapi/species/28",
      "https://ajax.test-danit.com/api/swapi/species/29",
      "https://ajax.test-danit.com/api/swapi/species/30",
      "https://ajax.test-danit.com/api/swapi/species/31",
      "https://ajax.test-danit.com/api/swapi/species/32",
      "https://ajax.test-danit.com/api/swapi/species/33",
      "https://ajax.test-danit.com/api/swapi/species/34",
      "https://ajax.test-danit.com/api/swapi/species/35",
    ],
    starships: [
      "https://ajax.test-danit.com/api/swapi/starships/21",
      "https://ajax.test-danit.com/api/swapi/starships/32",
      "https://ajax.test-danit.com/api/swapi/starships/39",
      "https://ajax.test-danit.com/api/swapi/starships/43",
      "https://ajax.test-danit.com/api/swapi/starships/47",
      "https://ajax.test-danit.com/api/swapi/starships/48",
      "https://ajax.test-danit.com/api/swapi/starships/49",
      "https://ajax.test-danit.com/api/swapi/starships/52",
      "https://ajax.test-danit.com/api/swapi/starships/58",
    ],
    name: "Attack of the Clones",
    url: "https://ajax.test-danit.com/api/swapi/films/5",
    vehicles: [
      "https://ajax.test-danit.com/api/swapi/vehicles/4",
      "https://ajax.test-danit.com/api/swapi/vehicles/44",
      "https://ajax.test-danit.com/api/swapi/vehicles/45",
      "https://ajax.test-danit.com/api/swapi/vehicles/46",
      "https://ajax.test-danit.com/api/swapi/vehicles/50",
      "https://ajax.test-danit.com/api/swapi/vehicles/51",
      "https://ajax.test-danit.com/api/swapi/vehicles/53",
      "https://ajax.test-danit.com/api/swapi/vehicles/54",
      "https://ajax.test-danit.com/api/swapi/vehicles/55",
      "https://ajax.test-danit.com/api/swapi/vehicles/56",
      "https://ajax.test-danit.com/api/swapi/vehicles/57",
    ],
  },
  {
    id: 6,
    characters: [
      "https://ajax.test-danit.com/api/swapi/people/1",
      "https://ajax.test-danit.com/api/swapi/people/2",
      "https://ajax.test-danit.com/api/swapi/people/3",
      "https://ajax.test-danit.com/api/swapi/people/4",
      "https://ajax.test-danit.com/api/swapi/people/5",
      "https://ajax.test-danit.com/api/swapi/people/6",
      "https://ajax.test-danit.com/api/swapi/people/7",
      "https://ajax.test-danit.com/api/swapi/people/10",
      "https://ajax.test-danit.com/api/swapi/people/11",
      "https://ajax.test-danit.com/api/swapi/people/12",
      "https://ajax.test-danit.com/api/swapi/people/13",
      "https://ajax.test-danit.com/api/swapi/people/20",
      "https://ajax.test-danit.com/api/swapi/people/21",
      "https://ajax.test-danit.com/api/swapi/people/33",
      "https://ajax.test-danit.com/api/swapi/people/35",
      "https://ajax.test-danit.com/api/swapi/people/46",
      "https://ajax.test-danit.com/api/swapi/people/51",
      "https://ajax.test-danit.com/api/swapi/people/52",
      "https://ajax.test-danit.com/api/swapi/people/53",
      "https://ajax.test-danit.com/api/swapi/people/54",
      "https://ajax.test-danit.com/api/swapi/people/55",
      "https://ajax.test-danit.com/api/swapi/people/56",
      "https://ajax.test-danit.com/api/swapi/people/58",
      "https://ajax.test-danit.com/api/swapi/people/63",
      "https://ajax.test-danit.com/api/swapi/people/64",
      "https://ajax.test-danit.com/api/swapi/people/67",
      "https://ajax.test-danit.com/api/swapi/people/68",
      "https://ajax.test-danit.com/api/swapi/people/75",
      "https://ajax.test-danit.com/api/swapi/people/78",
      "https://ajax.test-danit.com/api/swapi/people/79",
      "https://ajax.test-danit.com/api/swapi/people/80",
      "https://ajax.test-danit.com/api/swapi/people/81",
      "https://ajax.test-danit.com/api/swapi/people/82",
      "https://ajax.test-danit.com/api/swapi/people/83",
    ],
    director: "George Lucas",
    episodeId: 3,
    openingCrawl:
      "War! The Republic is crumbling under attacks by the ruthless Sith Lord, Count Dooku. There are heroes on both sides. Evil is everywhere.\r\nIn a stunning move, the fiendish droid leader, General Grievous, has swept into the Republic capital and kidnapped Chancellor Palpatine, leader of the Galactic Senate.\r\nAs the Separatist Droid Army attempts to flee the besieged capital with their valuable hostage, two Jedi Knights lead a desperate mission to rescue the captive Chancellor...",
    planets: [
      "https://ajax.test-danit.com/api/swapi/planets/1",
      "https://ajax.test-danit.com/api/swapi/planets/2",
      "https://ajax.test-danit.com/api/swapi/planets/5",
      "https://ajax.test-danit.com/api/swapi/planets/8",
      "https://ajax.test-danit.com/api/swapi/planets/9",
      "https://ajax.test-danit.com/api/swapi/planets/12",
      "https://ajax.test-danit.com/api/swapi/planets/13",
      "https://ajax.test-danit.com/api/swapi/planets/14",
      "https://ajax.test-danit.com/api/swapi/planets/15",
      "https://ajax.test-danit.com/api/swapi/planets/16",
      "https://ajax.test-danit.com/api/swapi/planets/17",
      "https://ajax.test-danit.com/api/swapi/planets/18",
      "https://ajax.test-danit.com/api/swapi/planets/19",
    ],
    producer: "Rick McCallum",
    releaseDate: "2005-05-19",
    species: [
      "https://ajax.test-danit.com/api/swapi/species/1",
      "https://ajax.test-danit.com/api/swapi/species/2",
      "https://ajax.test-danit.com/api/swapi/species/3",
      "https://ajax.test-danit.com/api/swapi/species/6",
      "https://ajax.test-danit.com/api/swapi/species/15",
      "https://ajax.test-danit.com/api/swapi/species/19",
      "https://ajax.test-danit.com/api/swapi/species/20",
      "https://ajax.test-danit.com/api/swapi/species/23",
      "https://ajax.test-danit.com/api/swapi/species/24",
      "https://ajax.test-danit.com/api/swapi/species/25",
      "https://ajax.test-danit.com/api/swapi/species/26",
      "https://ajax.test-danit.com/api/swapi/species/27",
      "https://ajax.test-danit.com/api/swapi/species/28",
      "https://ajax.test-danit.com/api/swapi/species/29",
      "https://ajax.test-danit.com/api/swapi/species/30",
      "https://ajax.test-danit.com/api/swapi/species/33",
      "https://ajax.test-danit.com/api/swapi/species/34",
      "https://ajax.test-danit.com/api/swapi/species/35",
      "https://ajax.test-danit.com/api/swapi/species/36",
      "https://ajax.test-danit.com/api/swapi/species/37",
    ],
    starships: [
      "https://ajax.test-danit.com/api/swapi/starships/2",
      "https://ajax.test-danit.com/api/swapi/starships/32",
      "https://ajax.test-danit.com/api/swapi/starships/48",
      "https://ajax.test-danit.com/api/swapi/starships/59",
      "https://ajax.test-danit.com/api/swapi/starships/61",
      "https://ajax.test-danit.com/api/swapi/starships/63",
      "https://ajax.test-danit.com/api/swapi/starships/64",
      "https://ajax.test-danit.com/api/swapi/starships/65",
      "https://ajax.test-danit.com/api/swapi/starships/66",
      "https://ajax.test-danit.com/api/swapi/starships/68",
      "https://ajax.test-danit.com/api/swapi/starships/74",
      "https://ajax.test-danit.com/api/swapi/starships/75",
    ],
    name: "Revenge of the Sith",
    url: "https://ajax.test-danit.com/api/swapi/films/6",
    vehicles: [
      "https://ajax.test-danit.com/api/swapi/vehicles/33",
      "https://ajax.test-danit.com/api/swapi/vehicles/50",
      "https://ajax.test-danit.com/api/swapi/vehicles/53",
      "https://ajax.test-danit.com/api/swapi/vehicles/56",
      "https://ajax.test-danit.com/api/swapi/vehicles/60",
      "https://ajax.test-danit.com/api/swapi/vehicles/62",
      "https://ajax.test-danit.com/api/swapi/vehicles/67",
      "https://ajax.test-danit.com/api/swapi/vehicles/69",
      "https://ajax.test-danit.com/api/swapi/vehicles/70",
      "https://ajax.test-danit.com/api/swapi/vehicles/71",
      "https://ajax.test-danit.com/api/swapi/vehicles/72",
      "https://ajax.test-danit.com/api/swapi/vehicles/73",
      "https://ajax.test-danit.com/api/swapi/vehicles/76",
    ],
  },
];
// app.use(cors());

app.get("/api/movies", (req, res) => {
  res.json(movies);
});

app.get("/api/movies/:id", (req, res) => {
  const { id } = req.params;

  const movie = movies.find((movie) => movie.id === parseInt(id));

  if (typeof movie === "undefined") {
    return res.status(404).json({ message: "Movie not found" });
  }

  res.json(movie);
});

app.listen({ host: "localhost", port: 8085 }, () => {
  console.log("Express server listening on port 8085!");
});
